---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/build-timestamp: 2021-11-26 - 18:19:40 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: micrometer-prometheus
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app-with-metrics: quarkus-app
    app.openshift.io/runtime: quarkus
  name: micrometer-prometheus
spec:
  ports:
    - name: http
      port: 80
      targetPort: 8080
  selector:
    app.kubernetes.io/name: micrometer-prometheus
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
  type: ClusterIP
---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/build-timestamp: 2021-11-26 - 18:19:40 +0000
  labels:
    app-with-metrics: quarkus-app
    app.openshift.io/runtime: quarkus
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: micrometer-prometheus
  name: micrometer-prometheus
spec: {}
---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  name: openj9-11-rhel8
spec:
  dockerImageRepository: registry.redhat.io/openj9/openj9-11-rhel8
---
apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/build-timestamp: 2021-11-26 - 18:19:40 +0000
  labels:
    app-with-metrics: quarkus-app
    app.openshift.io/runtime: quarkus
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: micrometer-prometheus
  name: micrometer-prometheus
spec:
  output:
    to:
      kind: ImageStreamTag
      name: micrometer-prometheus:1.0.0-SNAPSHOT
  source:
    binary: {}
  strategy:
    sourceStrategy:
      from:
        kind: ImageStreamTag
        name: openj9-11-rhel8:latest
---
apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/build-timestamp: 2021-11-26 - 18:19:40 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    app-with-metrics: quarkus-app
    app.openshift.io/runtime: quarkus
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: micrometer-prometheus
  name: micrometer-prometheus
spec:
  replicas: 1
  selector:
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: micrometer-prometheus
  template:
    metadata:
      annotations:
        app.openshift.io/vcs-url: <<unknown>>
        app.quarkus.io/build-timestamp: 2021-11-26 - 18:19:40 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8080"
        prometheus.io/scheme: http
      labels:
        app-with-metrics: quarkus-app
        app.openshift.io/runtime: quarkus
        app.kubernetes.io/version: 1.0.0-SNAPSHOT
        app.kubernetes.io/name: micrometer-prometheus
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: JAVA_APP_JAR
              value: /deployments/quarkus-run.jar
            - name: JAVA_OPTIONS
              value: -Dquarkus.http.host=0.0.0.0 -Djava.util.logging.manager=org.jboss.logmanager.LogManager
          image: root/micrometer-prometheus:1.0.0-SNAPSHOT
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: micrometer-prometheus
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
  triggers:
    - imageChangeParams:
        automatic: true
        containerNames:
          - micrometer-prometheus
        from:
          kind: ImageStreamTag
          name: micrometer-prometheus:1.0.0-SNAPSHOT
      type: ImageChange
